Page MenuHomePhabricator

<ref name=foo /> are not kept, unlike <ref name="foo" />
Closed, ResolvedPublic

Description

Reported on https://www.mediawiki.org/wiki/Topic:Twyf0ydbkxwzvnir
Given sample: https://fr.wikipedia.org/w/index.php?title=...explosante-fixe...&diff=140071952&oldid=140071857

Reporter says that the first occurrence is present, but not the next. He suppose that the problem comes from the missing quotes.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2017, 9:54 AM
Framawiki renamed this task from <ref name=foo /> are not kept, unlike <ref name="blabla" /> to <ref name=foo /> are not kept, unlike <ref name="foo" />.Aug 27 2017, 9:54 AM
Framawiki updated the task description. (Show Details)

Where exactly are the missing quotes? I can't see them in the diff.

English: « In this original form, the instruments were not indicated,<ref name=Garavaglia/> though a possible scoring »
French translation: « Dans cette forme d'origine, les instruments ne sont pas indiqués, bien qu'une possible notation pour deux violons ». The ref was missing and added manually.

Amire80 moved this task from Need Info to Bugs on the ContentTranslation board.Nov 27 2017, 2:46 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Jun 5 2018, 11:34 AM
Etonkovidova closed this task as Resolved.Jun 22 2018, 5:41 AM

Checked in cx2-testing.
(1) Translated ...explosante-fixe...<ref name=Garavaglia/> will be iautomatically rendered in frwiki as <ref name="Garavaglia"/> I removed from the published translation the quotes, so it became <ref name="Garavaglia"/>, but saving the article preserved all references.

(2) I found the article "Mécanique de la rupture" in frwiki which has ref name with quotes and without quotes:
e.g.

<ref name=Irwin57>Irwin G (1957), ''Analysis of stresses and strains near the end of a crack traversing a plate'', Journal of Applied Mechanics 24, 361–364.</ref> 

<ref name="Irwin57" />

When translating and publishing the article on cx2-testing, all references were preserved.

(3) It'd be interesting to see the case when ref name is used without quotes and with quotes (it was tested only in VE but not in CX-VE integration) e.g.

<ref name=Irwin57>Irwin G (1957), ''Analysis of stresses and strains near the end of a crack traversing a plate'', Journal of Applied Mechanics 24, 361–364.</ref> 

<ref name="Irwin57" />
<ref name=Irwin57 />

I am closing the task for now since cx2-testing seems to be handling ref name with quotes and without quotes correctly.